> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post reportingroutes statistics

> Get the statistics of routes



## OpenAPI

````yaml /schema.json post /reporting/routes_statistics
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /reporting/routes_statistics:
    post:
      tags:
        - Reporting
      description: Get the statistics of routes
      operationId: postRoutesStatistics
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostRoutesStatisticsRequest'
      responses:
        '200':
          description: Statistics of routes, per route.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoutesStatisticsResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PostRoutesStatisticsRequest:
      type: object
      properties:
        from:
          type: string
          format: date-time
          description: Start timestamp.
        to:
          type: string
          format: date-time
          description: End timestamp.
        routeIdentifiers:
          type: array
          description: List of one or route identifiers.
          items:
            type: string
          minItems: 1
      required:
        - from
        - to
        - routeIdentifiers
      additionalProperties: false
    RoutesStatisticsResponse:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          type: array
          items:
            $ref: '#/components/schemas/RoutesStatistics'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    RoutesStatistics:
      type: object
      properties:
        identifier:
          type: string
          description: Identifier of a route
        taskStats:
          type: object
          properties:
            new:
              type: number
            finished:
              type: number
            failed:
              type: number
        logStats:
          type: object
          properties:
            errors:
              type: number
            memory:
              type: string

````